@extends('layouts.app')

@section('title')

{{$journal->title}}

@parent

@stop



@section('metatags')

@php

$image_file_name=$journal->image_file_name;

if(empty($image_file_name)) $image_file_name= 'no_image.jpg';

if(!(file_exists('images/bentham/'.$image_file_name))){

      $image_file_name = 'no_image.jpg';

}

  $image_url= 'http://'.$_SERVER['HTTP_HOST'].'/images/bentham/'.$image_file_name;

  $remchar =array('&lt;p&gt;','&lt;/p&gt;','"');//remove characters

  $txt_abstract=strip_tags(html_entity_decode($node_meta->description,ENT_NOQUOTES , 'UTF-8'));   





@endphp

    <meta name="description" content= "{{$node_meta->description}}" />

    <meta name="keywords" content="{{$node_meta->keywords}}"> 

	<meta name="pathi"   content="+{{Request::getPathInfo()}}" />

    <meta property="og:type"   content="website" /> 

    <meta property="og:title" content="{{html_entity_decode($journal->title)}}" />   

    <meta property="og:url" content="{{Request::url()}}" />

    <meta property="og:image" content="{{$image_url}}" />

    <meta property="og:description" content="{!!$txt_abstract!!}" />

    <meta property="og:site_name" content="http://{{$_SERVER['HTTP_HOST']}}" />

@endsection





@section('header_styles')

<!--page level css -->

<script type="text/javascript" src="https://platform-api.sharethis.com/js/sharethis.js#property=5f2d6cad2e6de20011ec6cd1&product=inline-share-buttons" async="async"></script>



<link href="{{ asset('assets/vendors/select2/css/select2.min.css') }}" type="text/css" rel="stylesheet">

<link href="{{ asset('assets/vendors/select2/css/select2-bootstrap.css') }}" rel="stylesheet">





<!--end of page level css-->

@stop



@section('content')





<!----Banner Section Starts----> 

    

  <!----Banner Section Starts----> 

    @include('includes.journal_banner')



  <!----Banner Section Ends---->



<!----Banner Section Ends----> 





<!----Main Section Starts (where all content bodies exist)----> 

<main id="issue">

  

   <section id="j-services">

    <div class="container">

      @if (Session::has('message'))

        <div class="alert alert-danger alert-dismissible fade show" data-auto-dismiss="5000" role="alert">

        <b>Attention!</b>{{ Session::get('message') }}         

           <button type="button" class="close" data-dismiss="alert" aria-label="Close">

            <span aria-hidden="true">&times;</span>

          </button>

      </div>

            

      @endif



      <div class="row">

        <div class="col-md-8 col-xl-9 listing">

		   @if($page_name == "reviewers")

			 
          <div id="ebms" class="reviewers">

            <h2 class="h4">Reviewers </h2>

              <hr>

                 <div class="row">                  

                   <div class="col-md-12">              
                     
                         @include('includes.reviewers')

                   </div>

                 </div>                 

          </div>
		  

          @elseif($page_name == "editorial-board")

			 
          <div id="ebms" class="call-services ifa">

            <h2 class="h4">Editorial Board <!-- <a class="btn btn-link" onclick="openNav()">☰ Toggle Sidepanel</a> -->  </h2>

              <hr>

                 <div class="row">                  

                   <div class="col-md-9">              
				@if((!empty($ebm_listing) && $ebm_user_id == "606785") || (!empty($ebm_listing) && $journal->ebm_flag == 1))
                @include('includes.ebm_list')
                @else
                     @php 
                        include('editorial-board/'.strtolower($journal->subtitle).'-editorial-board.html'); 
                     @endphp
                @endif

                   </div>

                 </div>                 

          </div>

          @elseif($page_name == "executive-guest-editor")

          @php
              include('editorial-board/'.strtolower($journal->subtitle).'-ege-editorial-board.html');
          @endphp

          @elseif($page_name == "editorial-policy")

          <div class="call-services policy">

				<h2 class="h4">Editorial Policies</h2>

				<hr>

                 @php //readfile('https://benthamscience.com/journal/ep-service.php?journalID='.$journal->nid); 

					include('editorial-policies/'.strtolower($journal->subtitle).'-editorial-policies.html');	

				 @endphp

          </div>

          @elseif($page_name == "advertise-with-us")

          <div class="call-services advertise">

               <h2 class="h4">Bentham Science Publishers: An Introduction</h2>

              <hr>

                 @php //readfile('https://benthamscience.com/journal/awu-service.php?journalID='.$journal->nid); 

                 include('advertise/advertise.html');

                 @endphp



          </div>

          @elseif($page_name == "publishing-ethics")

          <div class="call-services ethics">

            <h2 class="h4">Publishing Ethics and Rectitude</h2>

              <hr>

                 

                 @php 

                    include('publishing-ethics/publishing-ethics.html');

                  @endphp

          </div>

          @elseif($page_name == "self-archiving-policies")

          <div class="call-services archiving">

            <h2 class="h4">Archiving Policies</h2>

              <hr>

                 

                 @php 
                   if($journal->IsOpenAccess == 1) 
                   {
                    include('archiving-policies/openaccess-archiving-policies.html');
                   }
                   else
                   {
                    include('archiving-policies/self-archiving-policies.html');
                   }


                  @endphp

          </div>

          @elseif($page_name == "guideline-for-reviewers")

          <div class="call-services for-reviewers">


                 <h2 class="h4">Reviewer Guidelines </h2>

              <hr>

                 @php 

                  include('reviewers-guidelines/reviewers-guidelines.html');

                  @endphp

          </div>


                   <!-- @//include('pages.peer_review_workflow') -->
          @elseif($page_name == "peer-review-workflow")

              @php 

                include('peer-review/'.strtolower($journal->subtitle).'-peer-review.php'); 

              @endphp
             

          @elseif($page_name == "ifa")

          <div class="call-services ifa">

            <h2 class="h4">Author Guidelines <!-- <a class="btn btn-link" onclick="openNav()">☰ Toggle Sidepanel</a> -->  </h2>

              <hr>

                 <div class="row">

                  

                   <div class="col-md-9">              

                     @php 

                        include('instructions-for-authors/'.strtolower($journal->subtitle).'-instructions-for-authors.html');

                     @endphp

                   </div>

                 </div>                 

          </div>

		  @elseif($page_name == "guest-editor-guidelines")

          <div class="call-services ifa">

            <h2 class="h4">Guidelines for Guest Editors</h2>

              <hr> 

                   @php 

                      include('guest-editor-guidelines/'.strtolower($journal->subtitle).'-guest-editor-guidelines.html');

                   @endphp                 

          </div>

          @elseif($page_name == "forthcoming-thematic-issues")

          <div class="call-services ifa">

            <h2 class="h4">Forthcoming Thematic Issues</h2>

              <hr> 

                   @php 

                      include('forthcoming-thematic-issues/'.strtolower($journal->subtitle).'-special-issue.html');

                   @endphp                 

          </div>


          @elseif($page_name == "increase-visibility-article")

          <div class="">

            @php 

              include('static-pages/increase_visibility.html');

            @endphp

          </div>

      
          @elseif($page_name == "journal-announcements")

          <div class="call-services">

            <h2 class="h4">Announcements</h2>
            <hr>

            @php 

                $announcementfile = $graph_abstract=public_path()."/announcements/".strtolower($journal->subtitle)."-announcements.html";

            @endphp 
              
              @if(file_exists($announcementfile))
              @php 

                include('announcements/'.strtolower($journal->subtitle).'-announcements.html');
               @endphp 

              @else
               @php 
                include('announcements/empty-announcements.html');

               @endphp 
    

              @endif   

                        

          </div>

      

          @elseif($page_name == "library-recommendation")

            @include('includes.library_recommendation_tpl')

      

          @elseif($page_name == "trial-requests")

            @include('includes.trial_request_tpl')



          @elseif($page_name == "subscribe_journal_form")

            @include('form.subscribe_journal_form')



          @elseif($page_name == "subscribe_journal_form_preview")

            @include('form.subscribe_journal_form_preview')



          @elseif($page_name == "related-journal")

            @include('related_journals')



          @elseif($page_name == "related-ebooks")

            @include('related_ebooks')



          @elseif($page_name == "purchase_issue_form")

            @include('form.form_purchase_full_issue')

			

          @elseif($page_name == "purchase_issue_form_preview")

            @include('form.form_purchase_full_issue_preview')

			

      		@elseif($page_name == "full_text_inquiry")

                  @include('form.full_text_inquiry')

      			

      		@elseif($page_name == "full_text_inquiry_preview")

            @include('form.full_text_inquiry_preview')

          

          @elseif($page_name == "Issue")

            @include('includes.issue_article')

          

          @elseif($page_name == "become_ebm_form" || $page_name == "become_reviewer_form" || $page_name == "become_editor_form" || $page_name == "become_an_executive_guest_editor")

                  @include('form.become_ebm_form')

          @elseif($page_name == "book_proposal")
          
                  @include('form.book_proposal')

          @elseif($page_name == "journal_proposal")

                  @include('form.journal_proposal')

          @elseif($page_name == "manuscript-transfer-facility")

                  @include('manuscript_transfer')

          @elseif($page_name == "institutional-members")

          @include('institutional_members')

          @elseif($page_name == "animated-abstract")

                  @include('animated-abstract')

          @elseif($page_name == "section")

                  @include('includes.section_list')

          @elseif($page_name == "section-detail")

                  @include('includes.section_detail')


          @else

            @include('includes.ajax_article')

          @endif

        </div>

        <div class="col-md-4 col-xl-3 ji-links">



            

		@if($journal->journal_status != 2)   

          
            @include('includes.journal_rightmenu')

        @endif  



        </div>

      </div>

    </div>

  </section>

  

</main>

</div>

<!----Main Section Starts----> 

@endsection

{{-- page level scripts --}}

@section('footer_scripts')

<script src="{!! asset('assets/vendors/select2/js/select2.js') !!}"></script>    

<script src="{!! asset('js/filter.js') !!}"></script>

<script>

$("#journal_id").select2({

  theme:"bootstrap",

  placeholder:"Select Journal",

  width: '100%',

  height: '50px'

});

$("#institution_country").select2({

  theme:"bootstrap",

  placeholder:"Select Country",

  width: '100%',

  height: '50px'

});

$("#country").select2({

  theme:"bootstrap",

  placeholder:"Select Country",

  width: '100%',

  height: '50px'

});





</script>

 

<script type="text/javascript">

  $(function () {

  $('[data-toggle="popover"]').popover()

})

</script>



<script type="text/javascript">

            $(document).ready(function(){ 

            $(".panel, .panel-title, .panel-heading, .panel-body, .ji-links div").removeAttr("style")



            $('.ji-links h3').replaceWith(function(){

          return $("<strong />", {html: $(this).html()});

      });



            $(".panel").addClass("card mb-3");

            $(".panel-heading").addClass("card-header");

            $(".panel-body").addClass("card-body");

            });

        </script>



<script>

 $(document).ready(function() {              
  TableOfContents();
  EabmList();              
});

function EabmList()
{
    let settings = $.extend({
      duration: "500",
      title: "Table of Contents" 
    });

return $('#ebms > div.row').each(function() {
    let jebm = $('#ebms > div.row');
    //console.log(jebm);
    //jebm.prepend('<div class="col-md-3" id="mySidepanel"><div id="sticky-menu" class="pt-3"></div></div>');
    let list = jebm.find('div#mySidepanel > div#sticky-menu');    

    jebm.find('editorial-board-body editorial-board-list[editorial-board-list-type]>editorial-board-list-title').each(function(){
      let heading = $(this);
      let tag = heading[0].tagName.toLowerCase();
      let title = heading.text();
      let id = heading.attr('editorial-board-list-type');
      if(typeof id === "undefined") {
        id = Math.random().toString(36).substring(7);
        heading.attr('id', id);
      }
      list.append('<a class="btn btn-sm text-white text-wrap text-left btn-block bg-siteblue shadow" href="#' + id + '" title="' + title + '">' + title + '</a>');
    });    

    list.on('click', function(event){
      let target = $(event.target); 
      if(target.is('a')){
        event.preventDefault();
        jQuery('html, body').animate({
          scrollTop: $(target.attr('href'),).offset().top - 150 
        }, settings.duration);
        return false;
      }
    });
  });   
}



function TableOfContents()
{
    let settings = $.extend({
      duration: "500",
      title: "Table of Contents" 
    });

    return $('div.call-services.ifa>div.row').each(function() {
    let article = $('div.call-services.ifa>div.row');
    //console.log(article);
    article.prepend('<div class="col-md-3" id="mySidepanel"><div id="sticky-menu" class="pt-3"></div></div>');
    let list = article.find('div#mySidepanel > div#sticky-menu ');   

    article.find('article sec[id]>title').each(function(){
      let heading = $(this);
      let tag = heading[0].tagName.toLowerCase();
      let title = heading.text();
      let id = heading.attr('id');      

      if(typeof id === "undefined") {
        id = Math.random().toString(36).substring(7);
        heading.attr('id', id);
      }
      list.append('<a class="btn btn-sm text-white text-wrap text-left btn-block bg-siteblue shadow" href="#' + id + '" title="' + title + '">' + title + '</a>');
    });

    list.on('click', function(event){
      let target = $(event.target);
      if(target.is('a')){
        event.preventDefault();
        jQuery('html, body').animate({
          scrollTop: $(target.attr('href'),).offset().top - 150 
        }, settings.duration);
        return false;
      }
    });
  });
  }
</script>


<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Biography of <span class="text-siteblue" id="biography-name"></span></h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body text-justify">
        <div class="row">
          <div class="col-md-3">
            <div id="biography-pic">
            </div>
          </div>
          <div class="col-md-9">            
            <div id="biography-detail">

            </div>
          </div>
          <div class="col-md-12">            
            <div id="biography-chinese-pro">

        </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

 <script>

$(document).ready(function(){  

  $("ref-id, issue_deadlines").hide();   

  //Hide & Show for EBMS
  $(".ji-links editorial-board-list[editorial-board-list-type]").remove();
  $(".ji-links editorial-board-list[editorial-board-list-type='editor']").show();


  //Modal Button For Biography
  $("editorial-board-member>biography").after('<a type="button" class="btn btn-primary bg-siteblue text-white py-0 showmodal" data-toggle="modal" data-target="#exampleModal">Biography</a>');  
  $("biography-chinese").prepend('<h5 class="py-2 border-bottom">查看传记</h5>');  
  $("editorial-board-member biography").css("display", "none");

  //Modal For Biography
  $('editorial-board-member>.showmodal').click(function(){    
    $('#exampleModal').modal('show');
    var userprofile = $(this).parents()[0].querySelector("p").innerHTML;

    if ($(this).parents()[0].querySelector("photo")) {
    var userprofilepic = $(this).parents()[0].querySelector("photo").innerHTML;
      $("#biography-pic").html(userprofilepic);
    } 
    else{
      $("#biography-pic").html('');
    }
    //var userprofilepic = $(this).parents()[0].querySelector("photo").innerHTML;
    var userprofilename = $(this).parents()[0].querySelector("name").innerHTML;
    
    $("#biography-detail").html(userprofile);
    //$("#biography-pic").html(userprofilepic);
    $("#biography-name").html(userprofilename);

    
    
    if ($(this).parents()[0].querySelector("biography-chinese")) {
    var userprofilechinese = $(this).parents()[0].querySelector("biography-chinese").innerHTML;
      $("#biography-chinese-pro").html(userprofilechinese);
    } 
    else{
      $("#biography-chinese-pro").html('');
    }
  });    


  //Fourthcoming Special Issue
  //hide published issues
  $("special-issue-list[issue-list-status='published']").remove();
  $('special-issue-entry').each(function() {
    //alert(this.innerText);
    //$('special-issue-description',this).prepend("https://eurekaselect.com/journal-files/special-issue-details/");
    $('special-issue-description',this).wrapInner('<a class="btn btn-primary btn-sm text-white mt-2" href="" target="_blank"></a>');
    var filenamepdf = $('special-issue-description a',this).text();
    $('special-issue-description a',this).attr("href", "/images/pdf/fourthcoming-special-issue/" + filenamepdf);
    $('special-issue-description a',this).text("Download Description");
    $('contrib',this).prepend("<strong>Guest Editor(s): </strong>");
  });



  
});
      </script>

@stop







